<?xml version="1.0"?>
<configuration>
  <appSettings>
    <add key="FCKeditor:BasePath" value="~/FCKeditor/" />
    <add key="FCKeditor:UserFilesPath" value="/Upload/" />
    <!-- 0:使用Access数据库 1:使用SQL Server数据库-->
    <add key="SkyConnStringType" value="0" />
    <add key="SkyConnStringAccess" value="DataBase/0451skyEvaluation.mdb" />
    <add key="SkyConnStringSQL" value="data source=localhost;initial catalog=SchoolDB;user id=sa;password=00000000" />
   
    <add key="SkyPageSize" value="10" />
    <add key="SkyUploadType" value=".gif,.jpg,.jpeg,.bmp,.png,.xls,.xlsx,.doc,.docx,.ppt,.rar,.zip,.bak,.txt" />
    <!--可以上传文件的大小,单位是K-->
    <add key="UploadSize" value="102400" />
    <!--后台操作密码-，对数据库等重要的操作，需要此密码，用户可以自己修改这个密码，只要在后台上输入和这个匹配的字符就可以通过；-->
    <add key="SysPassword" value="123456789" />
    <!--数据库的名称，在后台进行数据库备份和还原的时候需要使用；-->
    <add key="SysDataBaseName" value="SchoolDB" />
    <!--成绩汇总页面，总分和平均分是否进行整数显示还是进行带小数点的显示；0：整数显示 1：带两位小数的显示-->
    <add key="SkyScoreSumState" value="0" />
    <!--成绩汇总页面，成绩的显示方式 0：按照总分进行排序 1：按照学号进行排序-->
    <add key="SkyScoreSumShowType" value="0" />
    <!--成绩计算工具页面，最终成绩是小数显示还是分数显示 0：整数显示四舍五入 1：整数显示，直接舍弃 2：小数显示-->
    <add key="SkyScoreCalType" value="1" />
    <!--导入成绩是否自动补齐 0：自动补齐 1 不自动补齐-->
    <add key="SkyExcelScore" value="1" />
    <!--是否显示特殊的学生管理 0：正常 1：特殊-->
    <add key="SkyStudentTJHX" value="0" />
    <!--我的文档可以显示的文件名扩展名，需要把文件存储PNG格式，保存到/admin/skin/extend目录即可-->
    <add key="SkyExtend" value="avi,bak,cab,dll,doc,docx,dw,jpg,m3u,mid,mp3,mpen,mpg,pdf,png,ppt,pptx,ps,rar,gif,txt,wav,wma,xls,xlsx,zip,mmm" />
  </appSettings>
  <connectionStrings />
  <system.web>
    <!-- 
            设置 compilation debug="true" 可将调试符号插入
            已编译的页面中。但由于这会 
            影响性能，因此只在开发过程中将此值 
            设置为 true。
        -->
    <roleManager defaultProvider="AspNetWindowsTokenRoleProvider" />
    <pages validateRequest="false" enableEventValidation="false" viewStateEncryptionMode="Never" />
    <machineKey validationKey="d41d8cd98f00b204e9800998ecf8427e0e5798a7e2c46b2fd4f0277bceaf08e1" validation="SHA1" />
    <httpRuntime maxRequestLength="2097151" executionTimeout="6000" />
    <httpHandlers>
      <remove verb="*" path="*.asmx" />
      <add verb="*" path="*.asmx" validate="false" type="System.Web.Script.Services.ScriptHandlerFactory, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
      <add verb="GET,HEAD" path="ScriptResource.axd" type="System.Web.Handlers.ScriptResourceHandler, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" validate="false" />
      <!--<add verb="*" path="progress.ashx" type="Sky.Education.Upload.WebbUploadStatusHandler, Sky.Education.Upload" />-->
    </httpHandlers>
    <httpModules>
      <!--<add name="SkyUpLoad" type="Sky.Education.Upload.WebbHttpModule, Sky.Education.Upload" />-->
      <add name="BasicWebHttpModule" type="BasicWeb.HttpRewrite.HttpModule, BasicWeb.HttpRewrite" />
      <add name="ScriptModule" type="System.Web.Handlers.ScriptModule, System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
    </httpModules>
    <sessionState mode="InProc" stateConnectionString="tcpip=127.0.0.1:42424" sqlConnectionString="data source=127.0.0.1;Trusted_Connection=yes" cookieless="false" timeout="20" />
    <!--<sessionState mode="InProc"  cookieless="true"></sessionState>-->
    <!--
		<httpModules>
			<add name="SkyUpLoad" type="Sky.Education.Upload.WebbHttpModule, Sky.Education.Upload" />
		</httpModules>
		<httpHandlers>
			<add verb="*" path="progress.ashx" type="Sky.Education.Upload.WebbUploadStatusHandler, Sky.Education.Upload" />
		</httpHandlers>
		-->
    <!--<customErrors mode="On" defaultRedirect="/admin/skyerror.aspx"></customErrors>-->
    <customErrors mode="Off">
    </customErrors>
    <compilation debug="true" defaultLanguage="C#">
      <assemblies>
        <add assembly="System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
        <add assembly="System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" />
        <add assembly="System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
      </assemblies>
    </compilation>
    <authorization>
      <allow users="*" />
    </authorization>
    <!--<globalization requestEncoding="gb2312" responseEncoding="gb2312" fileEncoding="gb2312" culture="zh-CN" />-->
    <globalization fileEncoding="utf-8" requestEncoding="utf-8" responseEncoding="utf-8" culture="zh-CN" />
  </system.web>
  <system.codedom>
  </system.codedom>
  <!-- 
        在 Internet 信息服务 7.0 下运行 ASP.NET AJAX 需要 system.webServer
        节。对早期版本的 IIS 来说则不需要此节。
    -->
  <system.webServer>
  </system.webServer>
</configuration>